Home | About | Sematext search-lucene.com search-hadoop.com
 Search Hadoop and all its subprojects:

Switch to Threaded View
Kafka >> mail # user >> trouble building 0.8


Copy link to this message
-
Re: trouble building 0.8
I deleted all the sbt project and target stuff, for both ~/.sbt and kafka/project/build.  I had previously had php stuff in my global sbt stuff.  This resolved this issue, but now I am having another…

I get the following:

[warn] Multiple resolvers having different access mechanism configured with same name 'sbt-plugin-releases'. To avoid conflict, Remove duplicate project resolvers (`resolvers`) or rename publishing resolver (`publishTo`).

I also get this failure to resolve dependency:

[info] Resolving org.scalatest#scalatest_2.10;1.8 ...
[warn] module not found: org.scalatest#scalatest_2.10;1.8
[warn] ==== local: tried
[warn]   /Users/reefedjib/.ivy2/local/org.scalatest/scalatest_2.10/1.8/ivys/ivy.xml
[warn] ==== SonaType ScalaTest repo: tried
[warn]   https://oss.sonatype.org/content/groups/public/org/scalatest/org/scalatest/scalatest_2.10/1.8/scalatest_2.10-1.8.pom
[warn] ==== public: tried
[warn]   http://repo1.maven.org/maven2/org/scalatest/scalatest_2.10/1.8/scalatest_2.10-1.8.pom

I looked at:

http://repo1.maven.org/maven2/org/scalatest/scalatest_2.10

and there is no 1.8, but a 1.9…so, the issue is in core/build.sbt, where scalatest should be "1.9.1".  I change it and it works.  This was changed today, so perhaps they lost 1.8?

thanks,
rob

On Aug 5, 2013, at 8:19 PM, Rob Withers <[EMAIL PROTECTED]> wrote:

> Well, I changed something, as it was working yesterday.   Here's my attempt at updating…
>
> Robs-MacBook-Pro:kafka reefedjib$ sbt "++2.10.2 update"
> [info] Loading global plugins from /Users/reefedjib/.sbt/plugins
> [info] Loading project definition from /Users/reefedjib/Desktop/rob/comp/workspace-frameworks/kafka/project
> [warn] Multiple resolvers having different access mechanism configured with same name 'sbt-plugin-releases'. To avoid conflict, Remove duplicate project resolvers (`resolvers`) or rename publishing resolver (`publishTo`).
> [error] AttributeKey ID collisions detected for: 'pgp-signer' (sbt.Task[com.jsuereth.pgp.sbtplugin.PgpSigner], sbt.Task[com.typesafe.sbt.pgp.PgpSigner]), 'pgp-verifier' (sbt.Task[com.jsuereth.pgp.sbtplugin.PgpVerifier], sbt.Task[com.typesafe.sbt.pgp.PgpVerifier]), 'check-pgp-signatures' (sbt.Task[com.typesafe.sbt.pgp.SignatureCheckReport], sbt.Task[com.jsuereth.pgp.sbtplugin.SignatureCheckReport]), 'signatures-module' (sbt.Task[com.typesafe.sbt.pgp.GetSignaturesModule], sbt.Task[com.jsuereth.pgp.sbtplugin.GetSignaturesModule])
> [error] Use 'last' for the full log.
>
> So here's my /Users/reefedjib/.sbt/plugins:
>
> resolvers += Classpaths.typesafeResolver
> addSbtPlugin("com.typesafe.sbteclipse" % "sbteclipse-plugin" % "2.2.0")
>
> and I just clone 0.8, no changes.
>
> Is there anywhere else I need to look for sbt plugin configs, outside akka?
>
> thanks,
> rob